aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSlack Coder <slackcoder@server.ky>2024-04-29 17:45:42 -0500
committerSlack Coder <slackcoder@server.ky>2024-04-30 13:25:31 -0500
commitc684c3c57557e43e193786f4cde3beb70c6dc90e (patch)
tree687f63fa051f12d8388681e8a508caff4377b5ef
parent858a5bda88011747edb72de66f70808699177f31 (diff)
downloadslackbuilds-efi-sync.tar.xz
efi-sync alphaefi-sync
-rw-r--r--efi-sync/README4
-rw-r--r--efi-sync/efi-sync.SlackBuild4
-rw-r--r--efi-sync/efi-sync.info6
-rw-r--r--efi-sync/files/rc.efi-sync.new37
4 files changed, 27 insertions, 24 deletions
diff --git a/efi-sync/README b/efi-sync/README
index e055ad8..d0ba93c 100644
--- a/efi-sync/README
+++ b/efi-sync/README
@@ -15,5 +15,5 @@ and to /etc/rc.d/rc.local_shutdown (creating it if needed):
fi
Also ensure your EFI is mounted on boot by having its entry configured in
-/etc/fstab. If you use an initial ram disk (initrd), ensure
-OUTPUT_IMAGE="/boot/initrd.gz" is configured to your EFI's initrd path.
+/etc/fstab. If you use an initial ram disk (initrd), ensure the mkinitrd's
+configuration exists and is configured.
diff --git a/efi-sync/efi-sync.SlackBuild b/efi-sync/efi-sync.SlackBuild
index 08f7961..6d561b3 100644
--- a/efi-sync/efi-sync.SlackBuild
+++ b/efi-sync/efi-sync.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
PRGNAM=efi-sync
-VERSION=${VERSION:-0.1.0}
+VERSION=${VERSION:-0.2.0-alpha}
BUILD=${BUILD:-1}
TAG=${TAG:-_slackcoder}
@@ -52,4 +52,4 @@ mkdir -p "$PKG/etc/rc.d"
cp -R "$CWD/files/rc.efi-sync.new" "$PKG/etc/rc.d/"
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-0.1.0-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-0.2.0-alpha-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}
diff --git a/efi-sync/efi-sync.info b/efi-sync/efi-sync.info
index 632dff4..708e7f8 100644
--- a/efi-sync/efi-sync.info
+++ b/efi-sync/efi-sync.info
@@ -1,8 +1,8 @@
PRGNAM="efi-sync"
-VERSION="0.1.0"
+VERSION="0.2.0-alpha"
HOMEPAGE="https://git.server.ky/slackcoder/efi-sync"
-DOWNLOAD="https://git.server.ky/slackcoder/efi-sync/snapshot/efi-sync-0.1.0.tar.xz"
-MD5SUM="c4366ab8e5cb88d50f50c137f3f3f43c"
+DOWNLOAD="https://git.server.ky/slackcoder/efi-sync/snapshot/efi-sync-0.2.0-alpha.tar.xz"
+MD5SUM="3955cb0a02748fb70d0d85c45b3dc280"
REQUIRES=""
MAINTAINER="Slack Coder"
EMAIL="slackcoder@server.ky"
diff --git a/efi-sync/files/rc.efi-sync.new b/efi-sync/files/rc.efi-sync.new
index bd301ed..a6e44bb 100644
--- a/efi-sync/files/rc.efi-sync.new
+++ b/efi-sync/files/rc.efi-sync.new
@@ -1,11 +1,11 @@
-#!/bin/sh
+#!/bin/bash
#
# Startup/shutdown script for GNU Taler's exchange.
#
PATH=$PATH:/usr/local/sbin
-# Seconds to wait for daemon to shutdown.
+# Seconds to wait for daemon to politely shutdown.
SHUTDOWN_WAIT=60
mkdir -p /run/efi-sync
@@ -21,28 +21,31 @@ start() {
}
stop() {
- echo "Stopping EFI Sync"
+ echo -n "Stopping EFI Sync: "
- if /usr/bin/daemon --pidfiles=/run/efi-sync --name=efi-sync --running ; then
- /usr/bin/daemon --pidfiles=/run/efi-sync --name=efi-sync --stop
+ if /usr/bin/daemon --pidfiles=/run/efi-sync --name=efi-sync --running; then
+ /usr/bin/daemon --pidfiles=/run/efi-sync --name=efi-sync --stop
fi
- # Wait for daemon to politely shutdown.
- sleep 1
- if /usr/bin/daemon --pidfiles=/run/efi-sync --name=efi-sync --running; then
- echo "Waiting up to ${SHUTDOWN_WAIT} to stop..."
+ let "count = 0"
+ while /usr/bin/daemon --pidfiles=/run/efi-sync --name=efi-sync --running && [[ $count -lt $SHUTDOWN_WAIT ]]; do
+ sleep 1
+ let "count = $count + 1"
+ done
- let "count = 0"
- while /usr/bin/daemon --pidfiles=/run/efi-sync --name=efi-sync --running && [[ $count -lt 60 ]]; do
- sleep 1
- let "count = $count + 1"
- done
+ if ! /usr/bin/daemon --pidfiles=/run/efi-sync --name=efi-sync --running; then
+ echo "ok"
+ else
+ /usr/bin/daemon --pidfiles=/run/efi-sync --name=efi-sync --signal=KILL
+ echo "killed"
fi
}
status() {
- if /usr/bin/daemon --pidfiles=/run/efi-sync --name=efi-sync --running ; then
- /usr/bin/daemon --pidfiles=/run/efi-sync --name=efi-sync --running --verbose
+ if /usr/bin/daemon --pidfiles=/run/efi-sync --name=efi-sync --running; then
+ echo "EFI Sync is running."
+ else
+ echo "EFI Sync is not running."
fi
}
@@ -57,6 +60,6 @@ status)
status
;;
*)
- echo $"Usage: $0 {start|stop|status}"
+ echo "Usage: $0 {start|stop|status}"
exit 1
esac